#!/bin/sh

set -eu

REQUIRED_CMDLINE="-c examples/dirlist.conf"
. regression.inc

HOST="secure.example.com"
WPATH="/"

NAME="No directory listing"
CODE=404
do_request

NAME="Directory listing"
HOST="no_secure.example.com"
CODE=200
do_request

NAME="Index is directory"
HOST="dir_as_index.example.com"
AWK_FILE="dirlist.awk"
do_request

echo "All tests passed"
